<?php

function load_template_file($xcrud) {
    $primary_key = $xcrud->get('primary');
    if (!$primary_key) {
        return;
    }
    
    $row = Xcrud_db::get_row("SELECT template, content FROM pages_sections WHERE id = $primary_key");
    $template_name = $row['template'];
    $content = $row['content'];
    global $root;
    $json_path = $root."/_Sys/Template/" . $template_name . ".json"; // Sostituisci con il percorso corretto

    $content_data = json_decode($content);
    $fields = [];

    if (file_exists($json_path)) {
        $json_data = json_decode(file_get_contents($json_path), true);
        foreach ($json_data as $key => $field_type) {
            $fields[$key] = [
                'type' => $field_type,
                'value' => isset($content_data->$key) ? $content_data->$key : ''
            ];
        }
    }

    foreach ($fields as $key => $field) {
        $xcrud->fields($key, false, 'Editable Fields'); // Gruppo di campi modificabili
        $xcrud->label($key, ucfirst($key));
        $xcrud->change_type($key, $field['type'], '', ['value' => $field['value']]);
    }
}

function save_content_json($postdata, $primary, $xcrud) {
    $data = $postdata->to_array();
    unset($data['content']); // Rimuovi Content per evitare ricodifica

    $json_content = json_encode($data);
    $postdata->set('content', $json_content);
}

function column_image_main($value, $fieldname, $primary_key, $row, $xcrud)
{
   return '<img src="https://onsexy.it/shop/media/p' . $primary_key . '/' . $value . '" width="100" />';
}

function column_image_dl($value, $fieldname, $primary_key, $row, $xcrud)
{
   return '<img src="' . $value . '" width="100" />';
}

function dl_calc_incomming($value, $fieldname, $primary_key, $row, $xcrud)
{
	
    // Estrai le variabili
    $dealer_price = $row['catalogue_2.dealer_price'];
    $vat_percentage = 21;
    $price_with_taxes = $row['catalogue_2.price_with_taxes'];

    // Calcola il prezzo del concessionario con l'IVA aggiunta
    $dealer_price_with_vat = $dealer_price + ($dealer_price * ($vat_percentage / 100));

    // Calcola il risultato sottraendo il prezzo con le tasse dal prezzo del concessionario ivato
    $result = $price_with_taxes - $dealer_price_with_vat;

    return round($result,2);
}

// Definisci la funzione di callback per formattare il campo images_csv
function format_images_csv($value, $fieldname, $primary_key, $row, $xcrud) {
    $images = explode('|', $value);
    $output = '';
    foreach ($images as $image) {
        $output .= '<img src="' . trim($image) . '" style="width:100px;height:auto;margin:5px;" />';
    }
	
    return $output;
}